XmlHandler (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.handler
Class XmlHandler

    java.lang.Object
      edu.harvard.hul.ois.jhove.HandlerBase
          edu.harvard.hul.ois.jhove.handler.XmlHandler

All Implemented Interfaces:
  OutputHandler

Direct Known Subclasses:
  AuditHandler

    public class XmlHandler

extends HandlerBase

OutputHandler for XML output.

See Also:
  Schema for JHOVE XML output

Nested Class Summary

Nested classes/interfaces inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`HandlerBase.SynchronizedDateFormat`

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`_app, _base, _date, _defaultParams, _encoding, _init, _je, _level, _logger, _name, _note, _param, _release, _rights, _specification, _vendor, _writer, date, dateTime, iso8601`

Constructor Summary
`XmlHandler()` Creates an XmlHandler.
`XmlHandler(java.lang.String name, java.lang.String release, int[] date, java.lang.String note, java.lang.String rights)` Constructor for use by subclasses.

Method Summary
`void` | `rationalToString(java.lang.StringBuffer buf, java.lang.String tag, java.lang.String margin, Rational r)` Appends a Rational value to a StringBuffer
`void` | `show()` Outputs minimal information about the application
`void` | `show(App app)` Outputs detailed information about the application, including configuration, available modules and handlers, etc.
`void` | `show(Module module)` Outputs information about a Module
`void` | `show(OutputHandler handler)` Outputs information about the OutputHandler specified in the parameter
`void` | `show(RepInfo info)` Outputs the information contained in a RepInfo object
`protected void` | `showAESAudioMetadata(AESAudioMetadata aes)` Display the audio metadata formatted according to the AES schema.
`protected void` | `showAgent(Agent agent, java.lang.String label)` PRIVATE INSTANCE METHODS.
`protected void` | `showArrayProperty(Property property, java.lang.String margin)`
`protected void` | `showChangeHistory10(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showChangeHistory20(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showChecksum(Checksum checksum)`
`protected void` | `showDocument(Document document)`
`void` | `showFooter()` Do the final output.
`void` | `showHeader()` Do the initial output.
`protected void` | `showIdentifier(Identifier identifier)`
`protected void` | `showMessage(Message message)`
`protected void` | `showNisoBasicDigitalObjectInformation10(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoBasicDigitalObjectInformation20(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoBasicImageInformation10(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoBasicImageInformation20(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoBasicImageParameters02(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoChangeHistory02(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageAssessmentMetadata10(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageAssessmentMetadata20(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageCaptureMetadata10(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageCaptureMetadata20(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageCreation02(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showNisoImageMetadata(NisoImageMetadata niso)` Display the NISO image metadata formatted according to the MIX schema.
`protected void` | `showNisoImageMetadata02(NisoImageMetadata niso)` Display the NISO image metadata formatted according to the MIX 0.2 schema.
`protected void` | `showNisoImageMetadata10(NisoImageMetadata niso)` Display the NISO image metadata formatted according to the MIX 1.0 schema.
`protected void` | `showNisoImageMetadata20(NisoImageMetadata niso)` Display the NISO image metadata formatted according to the MIX 2.0 schema.
`protected void` | `showNisoImagingPerformanceAssessment02(NisoImageMetadata niso, java.lang.String margin)`
`protected void` | `showProperty(Property property)`
`protected void` | `showSignature(Signature signature)`
`protected void` | `showTextMDMetadata(TextMDMetadata textMD)` Display the text metadata formatted according to the textMD schema (see http://www.loc.gov/standards/textMD).
`protected java.lang.String` | `valueToString(java.lang.Object obj)`

Methods inherited from class edu.harvard.hul.ois.jhove.HandlerBase
`analyze, applyDefaultParams, close, doctype, doctype, doubleArray, element, element, element, element, elementEnd, elementStart, elementStart, endDirectory, getDate, getEncoding, getIndent, getName, getNote, getRelease, getRights, getSpecification, getVendor, init, integerArray, integerArray, longArray, okToProcess, param, rationalArray, rationalArray10, reset, resetParams, setApp, setBase, setDefaultParams, setEncoding, setWriter, startDirectory, toDateTime, xmlDecl, xmlDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlHandler

    public XmlHandler()

  Creates an XmlHandler.

### XmlHandler

    public XmlHandler(java.lang.String name,
                      java.lang.String release,
                      int[] date,
                      java.lang.String note,
                      java.lang.String rights)

  Constructor for use by subclasses.

Method Detail

### show

    public void show()

  Outputs minimal information about the application

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(App app)

  Outputs detailed information about the application, including configuration, available modules and handlers, etc.

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(OutputHandler handler)

  Outputs information about the OutputHandler specified in the parameter

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(Module module)

  Outputs information about a Module

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### show

    public void show(RepInfo info)

  Outputs the information contained in a RepInfo object

  Specified by:
    `show` in interface `OutputHandler`
  Specified by:
    `show` in class `HandlerBase`

### showAgent

    protected void showAgent(Agent agent,
                             java.lang.String label)

  PRIVATE INSTANCE METHODS.

### showChecksum

    protected void showChecksum(Checksum checksum)

### showDocument

    protected void showDocument(Document document)

### showFooter

    public void showFooter()

  Do the final output. This should be in a suitable format for including multiple files between the header and the footer, and the XML of the header and footer must balance out.

  Specified by:
    `showFooter` in interface `OutputHandler`
  Specified by:
    `showFooter` in class `HandlerBase`

### showHeader

    public void showHeader()

  Do the initial output. This should be in a suitable format for including multiple files between the header and the footer, and the XML of the header and footer must balance out.

  Specified by:
    `showHeader` in interface `OutputHandler`
  Specified by:
    `showHeader` in class `HandlerBase`

### showIdentifier

    protected void showIdentifier(Identifier identifier)

### showMessage

    protected void showMessage(Message message)

### showSignature

    protected void showSignature(Signature signature)

### valueToString

    protected java.lang.String valueToString(java.lang.Object obj)

### showProperty

    protected void showProperty(Property property)

### showArrayProperty

    protected void showArrayProperty(Property property,
                                     java.lang.String margin)

### showTextMDMetadata

    protected void showTextMDMetadata(TextMDMetadata textMD)

  Display the text metadata formatted according to the textMD schema (see http://www.loc.gov/standards/textMD).

  Parameters:
    `textMD` - textMD text metadata

### showNisoImageMetadata

    protected void showNisoImageMetadata(NisoImageMetadata niso)

  Display the NISO image metadata formatted according to the MIX schema. The schema which is used may be 0.2 or 1.0 or 2.0, depending on the module parameters.

  Parameters:
    `niso` - NISO image metadata

### showNisoImageMetadata02

    protected void showNisoImageMetadata02(NisoImageMetadata niso)

  Display the NISO image metadata formatted according to the MIX 0.2 schema.

### showNisoBasicImageParameters02

    protected void showNisoBasicImageParameters02(NisoImageMetadata niso,
                                                  java.lang.String margin)

### showNisoImageCreation02

    protected void showNisoImageCreation02(NisoImageMetadata niso,
                                           java.lang.String margin)

### showNisoImagingPerformanceAssessment02

    protected void showNisoImagingPerformanceAssessment02(NisoImageMetadata niso,
                                                          java.lang.String margin)

### showNisoChangeHistory02

    protected void showNisoChangeHistory02(NisoImageMetadata niso,
                                           java.lang.String margin)

### showNisoImageMetadata10

    protected void showNisoImageMetadata10(NisoImageMetadata niso)

  Display the NISO image metadata formatted according to the MIX 1.0 schema.

### showNisoBasicDigitalObjectInformation10

    protected void showNisoBasicDigitalObjectInformation10(NisoImageMetadata niso,
                                                           java.lang.String margin)

### showNisoBasicImageInformation10

    protected void showNisoBasicImageInformation10(NisoImageMetadata niso,
                                                   java.lang.String margin)

### showNisoImageCaptureMetadata10

    protected void showNisoImageCaptureMetadata10(NisoImageMetadata niso,
                                                  java.lang.String margin)

### showNisoImageAssessmentMetadata10

    protected void showNisoImageAssessmentMetadata10(NisoImageMetadata niso,
                                                     java.lang.String margin)

### showChangeHistory10

    protected void showChangeHistory10(NisoImageMetadata niso,
                                       java.lang.String margin)

### showNisoImageMetadata20

    protected void showNisoImageMetadata20(NisoImageMetadata niso)

  Display the NISO image metadata formatted according to the MIX 2.0 schema.

### showNisoBasicDigitalObjectInformation20

    protected void showNisoBasicDigitalObjectInformation20(NisoImageMetadata niso,
                                                           java.lang.String margin)

### showNisoBasicImageInformation20

    protected void showNisoBasicImageInformation20(NisoImageMetadata niso,
                                                   java.lang.String margin)

### showNisoImageCaptureMetadata20

    protected void showNisoImageCaptureMetadata20(NisoImageMetadata niso,
                                                  java.lang.String margin)

### showNisoImageAssessmentMetadata20

    protected void showNisoImageAssessmentMetadata20(NisoImageMetadata niso,
                                                     java.lang.String margin)

### showChangeHistory20

    protected void showChangeHistory20(NisoImageMetadata niso,
                                       java.lang.String margin)

### showAESAudioMetadata

    protected void showAESAudioMetadata(AESAudioMetadata aes)

  Display the audio metadata formatted according to the AES schema.

  Parameters:
    `aes` - AES audio metadata

### rationalToString

    public void rationalToString(java.lang.StringBuffer buf,
                                 java.lang.String tag,
                                 java.lang.String margin,
                                 Rational r)

  Appends a Rational value to a StringBuffer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD